Bug 40435 - [4.5 regression] Revision 148442 caused many regressions on trunk
Summary: [4.5 regression] Revision 148442 caused many regressions on trunk
Status: RESOLVED FIXED
Alias: None
Product: gcc
Classification: Unclassified
Component: c (show other bugs)
Version: 4.5.0
: P2 normal
Target Milestone: 4.5.0
Assignee: Aldy Hernandez
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-06-13 20:19 UTC by H.J. Lu
Modified: 2009-07-16 22:38 UTC (History)
5 users (show)

See Also:
Host:
Target:
Build:
Known to work:
Known to fail:
Last reconfirmed: 2009-06-17 13:00:13


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description H.J. Lu 2009-06-13 20:19:47 UTC
On Linux/ia32, revision 148455 gave

FAIL: gcc.dg/Wshadow-3.c  (test for warnings, line 47)
FAIL: gcc.dg/Wshadow-3.c (test for excess errors)
FAIL: gcc.dg/func-ptr-conv-1.c (test for excess errors)
FAIL: gcc.dg/func-ptr-conv-1.c bad conversion (test for warnings, line 40)
FAIL: gcc.dg/func-ptr-conv-1.c bad conversion (test for warnings, line 41)
FAIL: gcc.dg/pr36902.c  (test for warnings, line 47)
FAIL: gcc.dg/pr36902.c (test for excess errors)

Revision 148431 is OK.
Comment 1 H.J. Lu 2009-06-13 20:22:01 UTC
It may be caused by revision 148438:

http://gcc.gnu.org/ml/gcc-cvs/2009-06/msg00418.html
Comment 2 H.J. Lu 2009-06-13 20:27:51 UTC
Or revision 148442:

http://gcc.gnu.org/ml/gcc-cvs/2009-06/msg00422.html
Comment 3 Aldy Hernandez 2009-06-13 21:28:20 UTC
Wshadow-3.c and pr36902.c are definitely mine.  My original request for approval indicated that these were problems with fold being location agnostic, and that I would be addressing the issues post merge.  The func-ptr-conv-1.c regression I will investigate, as it did not show up on my tests.
Comment 4 Hans-Peter Nilsson 2009-06-16 02:28:24 UTC
Mee too!  I mean, seen for cris-elf too!
BTW, isn't it odd that for recent regressions, the committer's testing never seem to have shown the regressions seen by "every other target" after commit?  1/2 ;)
(Definitely _not_ just you, Aldy.)
Comment 5 Hans-Peter Nilsson 2009-06-16 02:36:26 UTC
To add something useful, I should have mentioned that they were ok for 148440, regressed for 148444 for cris-elf, so that leaves only commit's from Aldy and Steven B., IIUC.
Comment 6 H.J. Lu 2009-06-16 04:30:38 UTC
All regressions are caused by revision 148442, including
gcc.dg/func-ptr-conv-1.c. You may need to enable checking
to see it.
Comment 7 Aldy Hernandez 2009-06-17 13:00:13 UTC
Fix for func-ptr-conv-1.c failure.

http://gcc.gnu.org/ml/gcc-patches/2009-06/msg01344.html
Comment 8 Aldy Hernandez 2009-07-09 12:31:50 UTC
This patch fixes the remaining failures.

http://gcc.gnu.org/ml/gcc-patches/2009-07/msg00484.html
Comment 9 Manuel López-Ibáñez 2009-07-16 22:30:11 UTC
Subject: Bug 40435

Author: manu
Date: Thu Jul 16 22:29:52 2009
New Revision: 149722

URL: http://gcc.gnu.org/viewcvs?root=gcc&view=rev&rev=149722
Log:
2009-07-17  Aldy Hernandez  <aldyh@redhat.com>
	    Manuel López-Ibáñez  <manu@gcc.gnu.org>

	PR 40435 
	* tree-complex.c, tree-loop-distribution.c,
	tree.c, tree.h, builtins.c, fold-const.c, omp-low.c,
	cgraphunit.c, tree-ssa-ccp.c, tree-ssa-dom.c,
	gimple-low.c, expr.c, tree-ssa-ifcombine.c, c-decl.c,
	stor-layout.c, tree-if-conv.c, c-typeck.c,
	gimplify.c, calls.c, tree-sra.c, tree-mudflap.c,
	tree-ssa-copy.c, tree-ssa-forwprop.c, c-convert.c, c-omp.c,
	varasm.c, tree-inline.c, c-common.c,
	c-common.h, gimple.c, tree-switch-conversion.c, gimple.h,
	tree-cfg.c, c-parser.c, convert.c: Add location
	argument to fold_{unary,binary,ternary}, fold_build[123],
	build_call_expr, build_size_arg, build_fold_addr_expr,
	build_call_array, non_lvalue, size_diffop,
	fold_build1_initializer, fold_build2_initializer,
	fold_build3_initializer, fold_build_call_array,
	fold_build_call_array_initializer, fold_single_bit_test,
	omit_one_operand, omit_two_operands, invert_truthvalue,
	fold_truth_not_expr, build_fold_indirect_ref, fold_indirect_ref,
	combine_comparisons, fold_builtin_*, fold_call_expr,
	build_range_check, maybe_fold_offset_to_address, round_up,
	round_down.
objc/
	* objc-act.c: Add location argument to all calls to
	build_fold_addr_expr.
testsuite/
	* gcc.dg/pr36902.c: Add column info.
	* g++.dg/gcov/gcov-2.C: Change count for definition.
cp/
	* typeck.c, init.c, class.c, method.c, rtti.c, except.c, error.c,
	tree.c, cp-gimplify.c, cxx-pretty-print.c, pt.c, semantics.c,
	call.c, cvt.c, mangle.c: Add location argument to
	fold_{unary,binary,ternary}, fold_build[123], build_call_expr,
	build_size_arg, build_fold_addr_expr, build_call_array,
	non_lvalue, size_diffop, fold_build1_initializer,
	fold_build2_initializer, fold_build3_initializer,
	fold_build_call_array, fold_build_call_array_initializer,
	fold_single_bit_test, omit_one_operand, omit_two_operands,
	invert_truthvalue, fold_truth_not_expr, build_fold_indirect_ref,
	fold_indirect_ref, combine_comparisons, fold_builtin_*,
	fold_call_expr, build_range_check, maybe_fold_offset_to_address,
	round_up, round_down.
fortran/
	* trans-expr.c, trans-array.c, trans-openmp.c, trans-stmt.c,
	trans.c, trans-io.c, trans-decl.c, trans-intrinsic.c: Add location
	argument to fold_{unary,binary,ternary}, fold_build[123],
	build_call_expr, build_size_arg, build_fold_addr_expr,
	build_call_array, non_lvalue, size_diffop,
	fold_build1_initializer, fold_build2_initializer,
	fold_build3_initializer, fold_build_call_array,
	fold_build_call_array_initializer, fold_single_bit_test,
	omit_one_operand, omit_two_operands, invert_truthvalue,
	fold_truth_not_expr, build_fold_indirect_ref, fold_indirect_ref,
	combine_comparisons, fold_builtin_*, fold_call_expr,
	build_range_check, maybe_fold_offset_to_address, round_up,
	round_down.

Modified:
    trunk/gcc/ChangeLog
    trunk/gcc/builtins.c
    trunk/gcc/c-common.c
    trunk/gcc/c-common.h
    trunk/gcc/c-convert.c
    trunk/gcc/c-decl.c
    trunk/gcc/c-omp.c
    trunk/gcc/c-parser.c
    trunk/gcc/c-typeck.c
    trunk/gcc/calls.c
    trunk/gcc/cgraphunit.c
    trunk/gcc/convert.c
    trunk/gcc/cp/ChangeLog
    trunk/gcc/cp/call.c
    trunk/gcc/cp/class.c
    trunk/gcc/cp/cp-gimplify.c
    trunk/gcc/cp/cvt.c
    trunk/gcc/cp/cxx-pretty-print.c
    trunk/gcc/cp/error.c
    trunk/gcc/cp/except.c
    trunk/gcc/cp/init.c
    trunk/gcc/cp/mangle.c
    trunk/gcc/cp/method.c
    trunk/gcc/cp/pt.c
    trunk/gcc/cp/rtti.c
    trunk/gcc/cp/semantics.c
    trunk/gcc/cp/tree.c
    trunk/gcc/cp/typeck.c
    trunk/gcc/expr.c
    trunk/gcc/fold-const.c
    trunk/gcc/fortran/ChangeLog
    trunk/gcc/fortran/trans-array.c
    trunk/gcc/fortran/trans-decl.c
    trunk/gcc/fortran/trans-expr.c
    trunk/gcc/fortran/trans-intrinsic.c
    trunk/gcc/fortran/trans-io.c
    trunk/gcc/fortran/trans-openmp.c
    trunk/gcc/fortran/trans-stmt.c
    trunk/gcc/fortran/trans.c
    trunk/gcc/gimple-low.c
    trunk/gcc/gimple.c
    trunk/gcc/gimple.h
    trunk/gcc/gimplify.c
    trunk/gcc/objc/ChangeLog
    trunk/gcc/objc/objc-act.c
    trunk/gcc/omp-low.c
    trunk/gcc/stor-layout.c
    trunk/gcc/testsuite/ChangeLog
    trunk/gcc/testsuite/g++.dg/gcov/gcov-2.C
    trunk/gcc/testsuite/gcc.dg/pr36902.c
    trunk/gcc/tree-cfg.c
    trunk/gcc/tree-complex.c
    trunk/gcc/tree-if-conv.c
    trunk/gcc/tree-inline.c
    trunk/gcc/tree-loop-distribution.c
    trunk/gcc/tree-mudflap.c
    trunk/gcc/tree-sra.c
    trunk/gcc/tree-ssa-ccp.c
    trunk/gcc/tree-ssa-copy.c
    trunk/gcc/tree-ssa-dom.c
    trunk/gcc/tree-ssa-forwprop.c
    trunk/gcc/tree-ssa-ifcombine.c
    trunk/gcc/tree-switch-conversion.c
    trunk/gcc/tree.c
    trunk/gcc/tree.h
    trunk/gcc/varasm.c

Comment 10 Manuel López-Ibáñez 2009-07-16 22:38:01 UTC
FIXED.